@subheading gsasl_client_step
@anchor{gsasl_client_step}
@deftypefun {int} {gsasl_client_step} (Gsasl_session * @var{sctx}, const char * @var{input}, size_t @var{input_len}, char * @var{output}, size_t * @var{output_len})
@var{sctx}: libgsasl client handle.

@var{input}: input byte array.

@var{input_len}: size of input byte array.

@var{output}: output byte array.

@var{output_len}: size of output byte array.

Perform one step of SASL authentication in client.  This reads data
from server (specified with input and input_len), processes it
(potentially invoking callbacks to the application), and writes
data to server (into variables output and output_len).

The contents of the output buffer is unspecified if this functions
returns anything other than @code{GSASL_NEEDS_MORE}.

@strong{Return value:} Returns @code{GSASL_OK} if authenticated terminated
successfully, @code{GSASL_NEEDS_MORE} if more data is needed, or error
code.

@strong{Deprecated:} Use @code{gsasl_step()} instead.
@end deftypefun

